{ config, lib, pkgs, ... }:

let
  username = "someone";
in
{
  users.users.${username}.packages = with pkgs; [
    neovim
  ];

  system.activationScripts.setup-nvim = lib.mkAfter ''
    mkdir -p /home/${username}/.config
    ln -sfn ${./config} /home/${username}/.config/nvim
  '';
}
